
{% extends 'base.html' %}
{% load static %}
{% load static i18n %}
{% load translations %}
{% block title %} {% translate 'Account' %} {% endblock title %}
{% block links %}
    <link rel="stylesheet" href="https://unpkg.com/js-datepicker/dist/datepicker.min.css">
	<link rel="stylesheet" href="{% static 'app/css/simplePagination.css' %}">
    <link href="{% static 'app/css/select2.css' %}" rel="stylesheet" />
{% endblock links %}


{% block content %}
<body class="account haveDatePicker haveSelect hash">
	<section class="transformed">
		<div class="widthWrapper contentWrapper">
			<div class="greetings">
				<div class="greetings__photo">
                    {% if user_type.user.img %}
					<img src="{{ user_type.user.img.url }}" alt="">
                    {% else %}
                    <img src="{% static 'app/images/src/julia.png' %}" alt="">
                    {% endif %}
					<a href="javascript:void(0)"><img src="{% static 'app/images/src/edit.svg' %}" alt=""></a>
				</div>
				<div class="greetings__content">
					<h1>{% translate "Greetings" %}, {{ user_type.user.first_name }}!</h1>
					<p>{% translate "Do you want to change your account?" %} <a href="#" class="highlighted">{% translate "Change" %}</a></p>
				</div>
                <div>
                    {% if user_type.is_superuser %}
                    <a style="margin-right: 10px;" class="hover button" target="_blank" href="/admin">{% translate "to admin" %}</a>
                    {% endif %}
                    <a class="hover button" href="{% url 'logout' %}">{% translate "Log out" %}</a>
                </div>
			</div>
			<ul class="steps">
				<li data-index="0" id="bookinglist">
					<h2>{% translate "Booking list" %}</h2>
				</li>
                {% if user_type.is_superuser or user_type.is_administrator %}
                    <li data-index="2">
                        <h2>{% translate "Prices for SPA services" %}</h2>
                    </li>
                {% endif %}
			</ul>
            {% if user_type.is_superuser %}
               <ul class="sub-steps">
               {% for hotel in hotels %}
                    <li data-id={{hotel.id}} data-index="0">
                        <h2>
                            {% translate "Hotel" %}
                        </h2>
                        {% get_current_language as LANGUAGE_CODE %}
                        <p>{{ hotel|get_title:LANGUAGE_CODE }}</p>
                    </li>
                {% endfor %}
                </ul>
            {% endif %}
             {% if user_type.is_therapist %}
               <ul class="sub-steps">
               {% for hotel in user_type.user.hotel.all %}
                    <li data-index="0">
                        <h2>
                            {% translate "Hotel" %}
                        </h2>
                        {% get_current_language as LANGUAGE_CODE %}
                        <p>{{ hotel|get_title:LANGUAGE_CODE }}</p>
                    </li>
                {% endfor %}
                </ul>
            {% endif %}
			<div class="containerWrapper">
				<div class="tableWrapper containerWrapper__One">
					{% include 'user_app/layouts/order_list.html' %}
				</div>

				<div class="tableWrapper containerWrapper__Two in-view">
					{% include 'user_app/layouts/user_info.html' %}
				</div>

                {% if not user_type.is_therapist %}
                    {% if user_type.is_superuser %}
                        <div class="tableWrapper containerWrapper__Three">
                             {% for hotel in hotels %}
                                {% if hotel.pdf_file %}
                                    <iframe src="{{ hotel.pdf_file.url }}" width="100%" height="700px"></iframe>
                                {% endif %}
                             {% endfor %}
                        </div>

                    {% else %}
                        <div class="tableWrapper containerWrapper__Three">
                            {% if user_type.user.hotel.pdf_file %}
                            <iframe src="{{ user_type.user.hotel.pdf_file.url }}" width="100%" height="700px"></iframe>
                            {% endif %}
                        </div>
                    {% endif %}
                {% endif %}
			</div>
		</div>
	</section>

{% endblock content %}
{% block scripts %}
    <script src="https://unpkg.com/js-datepicker"></script>
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
{% endblock scripts %}
